unit About;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TAboutForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Button1: TButton;
    StaticText1: TStaticText;
    LVersion: TLabel;
    LBuildID: TLabel;
    procedure Label7MouseEnter(Sender: TObject);
    procedure Label7MouseLeave(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Label8MouseEnter(Sender: TObject);
    procedure Label8MouseLeave(Sender: TObject);
    procedure Label9MouseEnter(Sender: TObject);
    procedure Label9MouseLeave(Sender: TObject);
    procedure Label7Click(Sender: TObject);
    procedure Label8Click(Sender: TObject);
    procedure Label9Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  AboutForm: TAboutForm;

implementation

uses Main, ShellAPI, Globals;

{$R *.dfm}

procedure TAboutForm.Label7MouseEnter(Sender: TObject);
begin
  Label7.Font.Color := clBlue;
end;

procedure TAboutForm.Label7MouseLeave(Sender: TObject);
begin
  Label7.Font.Color := clWindowText;
end;

procedure TAboutForm.Button1Click(Sender: TObject);
begin
  ModalResult := idOK;
  Hide;
end;

procedure TAboutForm.Label8MouseEnter(Sender: TObject);
begin
  Label8.Font.Color := clBlue;
end;

procedure TAboutForm.Label8MouseLeave(Sender: TObject);
begin
  Label8.Font.Color := clWindowText;
end;

procedure TAboutForm.Label9MouseEnter(Sender: TObject);
begin
  Label9.Font.Color := clBlue;
end;

procedure TAboutForm.Label9MouseLeave(Sender: TObject);
begin
  Label9.Font.Color := clWindowText;
end;

procedure TAboutForm.Label7Click(Sender: TObject);
begin
  ShellExecute(MainForm.Handle,
               'open',
               PChar('mailto:martin.fiedler@gmx.net?subject=Feedback+zu+KI22'),
               nil,
               nil,
               SW_SHOWNORMAL);
end;

procedure TAboutForm.Label8Click(Sender: TObject);
begin
  ShellExecute(MainForm.Handle,
               'open',
               PChar('mailto:enrico.kienel@informatik.tu-chemnitz.de?subject=Feedback+zu+KI22'),
               nil,
               nil,
               SW_SHOWNORMAL);
end;

procedure TAboutForm.Label9Click(Sender: TObject);
begin
  ShellExecute(MainForm.Handle,
               'open',
               PChar('mailto:jan.singer@informatik.tu-chemnitz.de?subject=Feedback+zu+KI22'),
               nil,
               nil,
               SW_SHOWNORMAL);
end;

function GetMyVersion:string;  // (aus AlGen2 bernommen)
var Dummy:cardinal;
    VerInfoSize:integer;
    VerData,VerInfo:pointer;
    Info:^VS_FIXEDFILEINFO;
begin
  Result:='';
  VerInfoSize:=GetFileVersionInfoSize(PChar(ParamStr(0)),Dummy);
  // Gre der Versionsinfo ermitteln und ggf. abbrechen
  if VerInfoSize<=0 then exit;
  GetMem(VerData,VerInfoSize);
  // Versionsinfo ermitteln, "Root-Block" extrahieren
  if GetFileVersionInfo(PChar(ParamStr(0)),Dummy,VerInfoSize,VerData) AND
     VerQueryValue(VerData,'\',VerInfo,Dummy) then begin
    Info:=VerInfo;
    with Info^ do begin  // Versionsnummer als String zusammenbauen
      Result:=
        IntToStr(dwFileVersionMS SHR 16)+'.'+
        IntToStr(dwFileVersionMS AND $FFFF)+'.'+
        IntToStr(dwFileVersionLS SHR 16)+'.'+
        IntToStr(dwFileVersionLS AND $FFFF);
    end;
  end;
  FreeMem(VerData,VerInfoSize);
end;

procedure TAboutForm.FormCreate(Sender: TObject);
var s:string;
begin
  s:=BuildID;
  if pos(#32, s) > 0 then SetLength(s, pos(#32, s) - 1);
  LBuildID.Caption := 'Build ' + s;
  LVersion.Caption := 'Version ' + GetMyVersion;
end;

end.
