unit Tables;

interface

uses
  Globals;

const DeltaTable : TDeltaTable =
  ((Count: 32; // fr alle blockierenden Linien bei DIR_H
    Items: ((DeltaX:  0; DeltaY:  0; Dir: DIR_H),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_H),
            // -- LINES_EXTENDING bis hier -- //
            (DeltaX:  0; DeltaY:  0; Dir: DIR_V),
            (DeltaX:  0; DeltaY:  0; Dir: DIR_D),
            (DeltaX:  0; DeltaY:  0; Dir: DIR_A),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_A),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_V),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_D),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_V),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_A),
            // -- LINES_SURROUNDING bis hier -- //
            (DeltaX: -2; DeltaY: -1; Dir: DIR_A),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_V),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_D),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_A),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_V),
            (DeltaX:  2; DeltaY: -1; Dir: DIR_D),
            (DeltaX: -2; DeltaY:  0; Dir: DIR_H),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_V),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_A),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_V),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_D),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_A),
            (DeltaX:  2; DeltaY:  0; Dir: DIR_H),
            (DeltaX: -2; DeltaY:  1; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_V),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_D),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_A),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_V),
            (DeltaX:  2; DeltaY:  1; Dir: DIR_A),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0))),
   (Count: 32; // fr alle blockierenden Linien bei DIR_V
    Items: ((DeltaX:  0; DeltaY:  0; Dir: DIR_V),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_V),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_V),
            // -- LINES_EXTENDING bis hier -- //
            (DeltaX:  0; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  0; DeltaY:  0; Dir: DIR_D),
            (DeltaX:  0; DeltaY:  0; Dir: DIR_A),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_A),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_D),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_A),
            // -- LINES_SURROUNDING bis hier -- //
            (DeltaX: -1; DeltaY: -2; Dir: DIR_A),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_H),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_A),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_H),
            (DeltaX: -1; DeltaY:  2; Dir: DIR_D),
            (DeltaX:  0; DeltaY: -2; Dir: DIR_V),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_H),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_D),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_A),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_H),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_D),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_A),
            (DeltaX:  0; DeltaY:  2; Dir: DIR_V),
            (DeltaX:  1; DeltaY: -2; Dir: DIR_D),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_H),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_D),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_A),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_H),
            (DeltaX:  1; DeltaY:  2; Dir: DIR_A),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0))),
   (Count:  0; // Dummy
    Items: ((DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0))),
   (Count: 36; // fr alle blockierenden Linien bei DIR_D
    Items: (
            (DeltaX:  0; DeltaY:  0; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_D),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_D),
            // -- LINES_EXTENDING bis hier -- //
            (DeltaX:  0; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  0; DeltaY:  0; Dir: DIR_V),
            (DeltaX:  0; DeltaY:  0; Dir: DIR_A),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_A),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_V),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_V),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_A),
            // -- LINES_SURROUNDING bis hier -- //
            (DeltaX: -2; DeltaY:  0; Dir: DIR_A),
            (DeltaX:  0; DeltaY: -2; Dir: DIR_A),
            (DeltaX: -2; DeltaY:  1; Dir: DIR_H),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_V),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_A),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_H),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_A),
            (DeltaX:  1; DeltaY: -2; Dir: DIR_V),
            (DeltaX: -2; DeltaY:  2; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_H),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_V),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_A),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_H),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_V),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_A),
            (DeltaX:  2; DeltaY: -2; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  2; Dir: DIR_V),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_H),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_A),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_V),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_A),
            (DeltaX:  2; DeltaY: -1; Dir: DIR_H),
            (DeltaX:  0; DeltaY:  2; Dir: DIR_A),
            (DeltaX:  2; DeltaY:  0; Dir: DIR_A))),
   (Count:  0; // Dummy
    Items: ((DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0))),
   (Count:  0; // Dummy
    Items: ((DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0))),
   (Count:  0; // Dummy
    Items: ((DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0),
            (DeltaX:  0; DeltaY:  0; Dir: 0))),
   (Count: 36; // fr alle blockierenden Linien bei DIR_A
    Items: ((DeltaX:  0; DeltaY:  0; Dir: DIR_A),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_A),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_A),
            // -- LINES_EXTENDING bis hier -- //
            (DeltaX:  0; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  0; DeltaY:  0; Dir: DIR_V),
            (DeltaX:  0; DeltaY:  0; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  1; Dir: DIR_D),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_V),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_V),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_H),
            (DeltaX:  1; DeltaY: -1; Dir: DIR_D),
            // -- LINES_SURROUNDING bis hier -- //
            (DeltaX: -2; DeltaY:  0; Dir: DIR_D),
            (DeltaX:  0; DeltaY:  2; Dir: DIR_D),
            (DeltaX: -2; DeltaY: -1; Dir: DIR_H),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_V),
            (DeltaX: -1; DeltaY:  0; Dir: DIR_D),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_H),
            (DeltaX:  0; DeltaY:  1; Dir: DIR_D),
            (DeltaX:  1; DeltaY:  2; Dir: DIR_V),
            (DeltaX: -2; DeltaY: -2; Dir: DIR_A),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_H),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_V),
            (DeltaX: -1; DeltaY: -1; Dir: DIR_D),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_H),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_V),
            (DeltaX:  1; DeltaY:  1; Dir: DIR_D),
            (DeltaX:  2; DeltaY:  2; Dir: DIR_A),
            (DeltaX: -1; DeltaY: -2; Dir: DIR_V),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_H),
            (DeltaX:  0; DeltaY: -1; Dir: DIR_D),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_V),
            (DeltaX:  1; DeltaY:  0; Dir: DIR_D),
            (DeltaX:  2; DeltaY:  1; Dir: DIR_H),
            (DeltaX:  0; DeltaY: -2; Dir: DIR_D),
            (DeltaX:  2; DeltaY:  0; Dir: DIR_D))));

implementation
end.
